Mon Aug 12 10:28:46 1996 Tom Tromey <tromey@creche.cygnus.com>
+ * automake.in (require_file_internal): Special-case `.' when
+ finding files to distribute. Test libobj2.test.
+
* aclocal.in (add_file): Fixed regexp for matching AC_DEFUN. Test
order.test.
Priorities for release:
[ none ]
+!! Must fix require_file stuff. It is really gross, and I don't
+ understand it any more.
+
** when can aclocal.m4 be auto-generated?
** many requests for a way to omit a file from the distribution.
if (-f $fullfile)
{
$found_it = 1;
- &push_dist_common ($file) if $dir eq $relative_dir;
+ # FIXME Once again, special-case `.'.
+ &push_dist_common ($file)
+ if $dir eq $relative_dir || $dir eq '.';
$save_dir = $dir;
last;
}
Mon Aug 12 13:58:55 1996 Tom Tromey <tromey@creche.cygnus.com>
+ * libobj2.test: New file.
+
* order.test: New file.
Sun Aug 11 00:10:42 1996 Tom Tromey <tromey@creche.cygnus.com>
error.test colon.test vtexi2.test tags.test comment.test libfiles.test \
man.test info.test obsolete.test lex.test scripts.test subdir2.test \
exsource.test canon4.test dup.test defun.test cxxlink.test cxxnoc.test \
-order.test
+order.test libobj2.test
EXTRA_DIST = defs $(TESTS)
-# Makefile.in generated automatically by automake 1.1c from Makefile.am
+# Makefile.in generated automatically by automake 1.1d from Makefile.am
# Copyright (C) 1994, 1995, 1996 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
error.test colon.test vtexi2.test tags.test comment.test libfiles.test \
man.test info.test obsolete.test lex.test scripts.test subdir2.test \
exsource.test canon4.test dup.test defun.test cxxlink.test cxxnoc.test \
-order.test
+order.test libobj2.test
EXTRA_DIST = defs $(TESTS)
mkinstalldirs = $(top_srcdir)/mkinstalldirs
--- /dev/null
+#! /bin/sh
+
+# Test to make sure LIBOBJS works in subdirs.
+# Bug from Josh MacDonald.
+
+. $srcdir/defs || exit 1
+
+cat > configure.in << 'END'
+PACKAGE=nonesuch
+VERSION=nonesuch
+AC_ARG_PROGRAM
+AC_PROG_INSTALL
+AC_PROG_RANLIB
+LIBOBJS="$LIBOBJS fsusage.o"
+AC_OUTPUT(subdir/Makefile)
+END
+
+mkdir subdir
+
+cat > subdir/Makefile.am << 'END'
+noinst_LIBRARIES = tu
+tu_SOURCES =
+tu_LIBADD = @LIBOBJS@
+END
+
+: > subdir/fsusage.c
+
+$AUTOMAKE || exit 1
+
+grep 'fsusage\.c' subdir/Makefile.in